# Awesome Archive Tools  
[![Awesome](https://awesome.re/badge-flat2.svg)](https://awesome.re)

Many social media and web platforms allow you to download your content as an
archive. Some platforms have been doing this for some time, but many started
doing it as a result of the European Union's [General Data Protection
Regulation](https://en.wikipedia.org/wiki/General_Data_Protection_Regulation)
(GDPR), specifically [Article 15](https://gdpr-info.eu/art-15-gdpr/), which
requires platforms to make data available to users in a "commonly used
electronic form". While it's great we can download our own data, it's often made
available in a raw format (JSON) that isn't terribly useful for most people.

**Awesome Archive Tools** is a list of tools that help you work with these
platform archives. By *platform* we mean any web property that allows you to
download *your* data as an "archive" (usually a zip file). By *tool* we mean
anything that lets you do something useful with the downloaded data. Tools that
let you scrape data from the web, or extract data from APIs are important, but
are out of scope for this list.

If the platform archive contains a user-friendly viewer for the data you can
indicate that here as well. Also welcome are links to guides, articles and other
written material that help people use their downloaded data.

## Contents

- [Platforms](#platforms)
  - [23andMe](#23andme)
  - [Basecamp](#basecamp)
  - [Google](#google)
  - [Healthkit](#healthkit)
  - [Slack](#slack)
  - [Twitter](#twitter)
- [Guides](#guides)

### 23andMe

- [genome-to-sqlite](https://github.com/dogsheep/genome-to-sqlite)

### Basecamp

- [backpack-export-xslt](https://github.com/ryanfb/backpack-export-xslt)

### Google

- [google-takeout-to-sqlite](https://github.com/dogsheep/google-takeout-to-sqlite)

### Healthkit

- [healthkit-to-sqlite](https://github.com/dogsheep/healthkit-to-sqlite)

### Slack

- [jekyll-slack](https://github.com/mdlincoln/jekyll-slack)
- [slack-export-viewer](https://github.com/hfaran/slack-export-viewer)
- [slack-export-viewer](https://github.com/davidjgoss/slack-export-viewer)

### Twitter

- [twitter-to-sqlite](https://github.com/dogsheep/twitter-to-sqlite)

## Guides

- [Social Control Zine](https://www.docnow.io/workshops/social-control-2019/)
